## org.apache.fop.configuration
Class ConfigurationReader

    java.lang.Object
      |
      +--org.apache.fop.configuration.ConfigurationReader

public class ConfigurationReader
extends java.lang.Object

entry class for reading configuration from file and creating a configuration class. typical use looks like that:
`ConfigurationReader reader = new ConfigurationReader ("config.xml","standard"); try { reader.start(); } catch (org.apache.fop.apps.FOPException error) { reader.dumpError(error); }` Once the configuration has been setup, the information can be accessed with the methods of StandardConfiguration.

Constructor Summary
`ConfigurationReader(org.xml.sax.InputSource filename)` creates a configuration reader

Method Summary
`void` `dumpError(java.lang.Exception e)` Dumps an error
`void` `setDumpError(boolean dumpError)` long or short error messages
`void` `start()` intantiates parser and starts parsing of config file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationReader

    public ConfigurationReader(org.xml.sax.InputSource filename)

  creates a configuration reader
  Parameters:
    `filename` - the file which contains the configuration information

Method Detail

### start

    public void start()
               throws FOPException

  intantiates parser and starts parsing of config file

### dumpError

    public void dumpError(java.lang.Exception e)

  Dumps an error

### setDumpError

    public void setDumpError(boolean dumpError)

  long or short error messages

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.